@echo off
REM ==================================================================== 
REM
REM   ECM: The Extensible Container Model
REM   Copyright (C) 2004 THALES
REM   Contact: openccm-ecm@objectweb.org
REM
REM   This library is free software; you can redistribute it and/or
REM   modify it under the terms of the GNU Lesser General Public
REM   License as published by the Free Software Foundation; either
REM   version 2.1 of the License, or any later version.
REM
REM   This library is distributed in the hope that it will be useful,
REM   but WITHOUT ANY WARRANTY; without even the implied warranty of
REM   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
REM   Lesser General Public License for more details.
REM
REM   You should have received a copy of the GNU Lesser General Public
REM   License along with this library; if not, write to the Free Software
REM   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
REM   USA
REM
REM   Initial developer(s): Mathieu Vadet
REM   Initial funding: IST COACH European Project (IST-2001-34445)
REM                    http://www.ist-coach.org
REM
REM ==================================================================== 


REM
REM  Stops a started server activator
REM

setlocal

goto begin

:usage
    echo usage: sa_stop.bat [options]
    echo Stops a CCM ServerActivator.
    echo --
    echo The following options are supported:
    echo   /h, /help    Print this message
    echo   /debug       Activate debug mode (optional)
    echo   name         The logical name of the SA, SA_at_hostname by default (optional)
    exit /B 1


:begin
set name=
set extci_name=
set ns_name=
set debug=

:parse_args
if not "%1"=="" (
    if "%1"=="/h" (
        goto usage
    ) else if "%1"=="/help" (
        goto usage
    ) else if "%1"=="/debug" (
        set debug=/debug
    ) else (
        set name=%1
        set extci_name=ExtCI_at_%1
        set ns_name=NS_at_%1
    )

    shift
    goto parse_args
)

REM check if name is set
if not defined name (
    if defined debug (
        echo WARNING: Will use default name for CCM ServerActivator.
    )

    hostname > %TEMP%\hostname.tmp
    for /f %%i in (%TEMP%\hostname.tmp) do (
        set name=SA_at_%%i
    )
    del %TEMP%\hostname.tmp 2> nul
)

REM delegate to corba_runtime_stop script
call @ECM.install.bin.dir@\corba_runtime_stop.bat %debug% %name%

REM stop extci
call @ECM.install.bin.dir@\extci_stop.bat %debug% %extci_name%

REM local NS
call @ECM.install.bin.dir@\ns_stop.bat %debug% %ns_name%

:eof
