// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.corba.runtime;

/**
 **  <p>The <tt>RuntimeConfiguration</tt> stores the various information which must/may
 **  be passed to the <tt>Runtime.loadServant</tt> operation.</p>
 **
 **  @see org.objectweb.corba.runtime.Runtime Runtime
 **/
public class RuntimeConfiguration
{
    //
    public String archive_location;
    public String archive_entrypoint;
    public String[] service_ids;
    public String[] service_entrypts;

    public String[] orb_initializers;
    public ValueFactory[] value_factories;
    public InitialReference[] initial_references;
    public StringifiedInitialReference[] stringified_initial_references;

    public
    RuntimeConfiguration()
    {
        archive_location = null;
        archive_entrypoint = null;
        service_ids = new String[0];
        service_entrypts = new String[0];

        orb_initializers = new String[0];
        value_factories = new ValueFactory[0];
        initial_references = new InitialReference[0];
        stringified_initial_references = new StringifiedInitialReference[0];
    }
}
