// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.corba.runtime;

/**
 **  <p>Multi-threaded implementation of the <tt>MainThread</tt> interface. Each ORB executes
 **  in its own thread. The implementation relies on the <tt>run</tt> operation of the ORB interface.</p>
 **
 **  @see org.objectweb.corba.runtime.MainThread MainThread
 **/
public class SingleORBWorker
implements MainThread 
{
    public
    SingleORBWorker() 
    {
    }

    //
    //  MainThread java interface
    //

    final public void
    stopORB(org.omg.CORBA.ORB orb)
    {
        // TODO: stop the thread which runs the ORB
        // NOTE: how ?
    }

    final public void
    runORB(org.omg.CORBA.ORB orb)
    {
        new ORBWorker(orb).start();
    }

    final public void
    startThread()
    {
        // Nothing to do
    }
}

//
//
//
class ORBWorker
extends java.lang.Thread
{
    // orb worker
    private org.omg.CORBA.ORB _orb;

    public
    ORBWorker(org.omg.CORBA.ORB orb)
    {
        // orb worker
        _orb = orb;
    }

    //
    //  Thread java interface
    //

    final public void
    run()
    {
        _orb.run();
    }
}
