// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 ** <p></p>
 **/
public class ReceptacleSet
implements java.io.Serializable
{
    // set
    static final private String _class_name = "ReceptacleSet";
    private Receptacle[] _elements;

    // default constructor
    public
    ReceptacleSet()
    {
        // set
        _elements = new Receptacle[0];
    }

    // constructor with array of receptacles
    public
    ReceptacleSet(Receptacle[] recs)
    {
        // set
        _elements = recs;
    }

    //
    //  public operations
    //

    final public Receptacle
    get(String name)
    throws org.omg.Components.InvalidName
    {
        Receptacle[] recs = _elements;
        for (int i=0;i<recs.length;i++) {
            if (recs[i].name.equals(name)) {
                return recs[i];
            }
        }

        throw new org.omg.Components.InvalidName();
    }

    final public Receptacle
    uncheckedGet(String name)
    {
        Receptacle[] recs = _elements;
        for (int i=0;i<recs.length;i++) {
            if (recs[i].name.equals(name)) {
                return recs[i];
            }
        }

        // should not happen
        return null;
    }
}
