// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Default implementation of the <tt>Components::LocalConnection</tt> OMG IDL local interface.</p>
 **/
public class LocalConnectionImpl
extends org.omg.CORBA.LocalObject
implements org.omg.Components.LocalConnection
{
    // local connection
    private org.omg.Components.Cookie _cookie;
    private org.omg.CORBA.Object _ref;
 
    // default constructor
    public
    LocalConnectionImpl(org.omg.Components.Cookie lck,
                        org.omg.CORBA.Object ref)
    {
        // local connection
        _cookie = lck;
        _ref = ref;
    }

    //
    //  IDL:org.omg/Components/LocalConnection:1.0
    //

    final public org.omg.Components.Cookie
    ck()
    {
        return _cookie;
    }

    final public org.omg.CORBA.Object
    ref()
    {
        return _ref;
    }
}