// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Default implementation of the <tt>Policy</tt> OMG IDL interface.</p>
 **/
public class PolicyImpl
extends org.omg.CORBA.LocalObject
implements Policy
{
    // policy
    private ServiceImpl _service_ref;
    private org.omg.CORBA.Policy _corba_policy;

    // default constructor
    public
    PolicyImpl(ServiceImpl s, org.omg.CORBA.Policy pol)
    {
        // policy
        _service_ref = s;
        _corba_policy = pol;
    }

    //
    //  IDL:org/objectweb/ccm/runtime/Policy:1.0
    //

    final public Service
    service_ref()
    {
        return _service_ref;
    }

    final public org.omg.CORBA.Policy
    corba_policy()
    {
        return _corba_policy;
    }

    final public org.coach.ECA.CallController
    get_call_controller()
    {
        // create new controller for this policy
        return _service_ref.createCallController(this);
    }
}
