// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.logservice;

import org.objectweb.corba.runtime.*;
import org.objectweb.corba.logservice.*;

/**
 **  <p>Implementation of the <tt>ECA::PolicyFactory</tt> OMG IDL interface.</p>
 **/
public class LogPolicyFactoryImpl
extends org.omg.CORBA.LocalObject
implements org.coach.ECA.PolicyFactory
{
    //

    public
    LogPolicyFactoryImpl()
    {
    }

    //
    // IDL:coach.org/ECA/PolicyFactory:1.0
    //

    public org.omg.CORBA.Policy
    create_policy(String ptype,
                  String pvalue)
    {
        if (!ptype.equals("LogServicePolicy")) {
            // NOTE: we should have an exception instead
            throw new Error("Unknown policy type: "+ptype);
        }

        return new LogPolicyImpl(pvalue);
    }
}
